| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # XMLDouble Class Reference Inheritance diagram for XMLDouble: [legend] Collaboration diagram for XMLDouble: [legend] List of all members.
## Public Methods
| XMLDouble (const XMLCh *const strValue)
| Constructs a newly allocated `XMLDouble` object that represents the value represented by the string.
| ~XMLDouble ()
## Static Public Methods
int | compareValues (const XMLDouble *const lValue, const XMLDouble *const rValue)
| Compares this object to the specified object.
## Protected Methods
void | checkBoundary (const XMLCh *const strValue)
## Constructor & Destructor Documentation
XMLDouble::XMLDouble | ( | const XMLCh *const | strValue | ) |
  | Constructs a newly allocated `XMLDouble` object that represents the value represented by the string. Parameters:
  strValue | the `String` to be converted to an `XMLDouble`.
  Exceptions:
  NumberFormatException | if the `String` does not contain a parsable XMLDouble.
XMLDouble::~XMLDouble | ( |  | ) |
## Member Function Documentation
void XMLDouble::checkBoundary | ( | const XMLCh *const | strValue | ) | `[protected, virtual]`
| Implements XMLAbstractDoubleFloat.
int XMLDouble::compareValues | ( | const XMLDouble *const | lValue,
|  | const XMLDouble *const | rValue
| ) | `[static]`
  | Compares this object to the specified object. The result is `true` if and only if the argument is not `null` and is an `XMLDouble` object that contains the same `int` value as this object. Parameters:
  lValue | the object to compare with.
  rValue | the object to compare against.
Returns: `true` if the objects are the same; `false` otherwise.
The documentation for this class was generated from the following file: XMLDouble.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.